geos::operation::valid::MakeValid Class Reference

The function attempts to create a valid representation of a given invalid geometry without losing any of the input vertices. More...

`#include <MakeValid.h>`

## Public Member Functions

| MakeValid ()=default
| Create a MakeValid object.
std::unique_ptr< geom::Geometry > | build (const geom::Geometry *geom)
| Return a valid version of the input geometry.

## Detailed Description

The function attempts to create a valid representation of a given invalid geometry without losing any of the input vertices.

Already-valid geometries are returned without further intervention.

Supported inputs are: POINTS, MULTIPOINTS, LINESTRINGS, MULTILINESTRINGS, POLYGONS, MULTIPOLYGONS and GEOMETRYCOLLECTIONS containing any mix of them.

In case of full or partial dimensional collapses, the output geometry may be a collection of lower-to-equal dimension geometries or a geometry of lower dimension.

Single polygons may become multi-geometries in case of self-intersections.

The documentation for this class was generated from the following file:

- MakeValid.h